<!DOCTYPE html>
<html lang="ko">
<head>
<%- include('../_helpers/html_header') %>
<title>BNK 부산은행 썸뱅크_이체</title>
<script>
function doDelete(delUrl) {
	if(!confirm('Are you really delete it?')) return;
	location.href = delUrl;
}
</script>
</head>

<body>
    <!--s: header : include-->
    <header>
        <div class="header-wrap">
            <h1 class="tit">이체</h1>
            <a href="./accoutList.html" class="btn-back">메인으로 이동</a>
            <button type="button" class="btn-allmenu">전체메뉴</button>
        </div>
    </header>
    <!--//e: header -->

    <!--s: content -->
    <div id="contents" class="w-fixed-bottom bg-f5f5f5">
        <!-- s:gray-box -->
        <div class="gray-box acc-info">
            <button type="button" class="ico-select gray" onclick="openPopup('TRFmyAccList')">
                <span><%=data.account_nm%></span> (<span><%=data.account_no%></span>)
            </button>
            <ul>
                <li>이체가능금액 : <span><%=data.account_ok_money%></span></li>
                <li>현재잔액 : <span><%=data.account_money%></span></li>
            </ul>
        </div>
        <!-- //e:gray-box -->
        
        <!-- s:trf-form -->
        <div class="trf-form common-inner pt30">
            <!-- s:inp-txt-wrap (단위를 갖고 있는 경우 .w-unit 클래스 사용 )-->
            <div class="inp-txt-wrap w-unit">
                <div class="inp-txt">
                    <label for="SendMoney" class="inp-label">보내는 금액</label>
                    <div class="inp">
                        <!-- 금액입력 하는 부분에 .only-num 추가 (콤마, 한화 기능위해) -->
                        <input type="tel" name="" class="only-num" id="SendMoney" placeholder="보내실 금액을 입력하세요" numberOnly>
                        <button type="button" class="btn-delete">삭제</button>
                    </div>
                    <span class="unit">원</span>
                </div>
                <p class="txt-desc ta-r only-num-kr"></p>
                <p class="txt-desc error hidden">잔액이 부족합니다.</p>
            </div>

            <!-- s:inp-txt-wrap -->
            <div class="inp-txt-wrap mt40 next-step hidden">
                <div class="inp-txt">
                    <label for="" class="inp-label">은행/증권사</label>
                    <button type="button" class="ico-select gray" id="trfBank" onclick=""></button>
                    <input type="hidden" name="bank_cd" />
                </div>
            </div>

            <!-- s:inp-txt-wrap -->
            <div class="inp-txt-wrap mt40 next-step hidden">
                <div class="inp-txt">
                    <label for="trfAcc" class="inp-label">계좌번호</label>
                    <div class="inp">
                        <input type="tel" name="" id="trfAcc" placeholder="계좌번호를 입력해주세요">
                        <button type="button" class="btn-delete">삭제</button>
                        <input type="hidden" id="in_account_no" name="in_account_no" />
                        <input type="hidden" id="in_bank_cd" name="in_bank_cd" />
                        <input type="hidden" id="out_account_no" name="out_account_no"  value="<%=data.account_no2%>"/>
                    </div>
                </div>
            </div>

            <p class="mt25"><button type="button" class="inp-label ico-select btn-add-trf next-step hidden">예약이체 및 추가이체</button></p>

            <div class="add-info hidden">
                <!-- s:inp-txt-wrap ( 한줄로 된 경우 .inner-label 클래스 사용 ) -->
                <div class="inp-txt-wrap mt15 inner-label ">
                    <div class="inp-txt no-border">
                        <label for="" class="inp-label">예약이체</label>
                        <span class="inp-area-cal">
                            <div class="calendar fnCalendar">
                                <input type="text" class="date" id="reserveDate" value="" placeholder="예약일자 선택" onclick="$(this).blur()">
                                <input type="text" class="time" readonly>
                            </div>
                        </span>
                        <button type="button" class="btn-delete btn-cancel">삭제</button>
                    </div>
                </div>

                <!-- s:inp-txt-wrap ( 한줄로 된 경우 .inner-label 클래스 사용 ) -->
                <div class="inp-txt-wrap mt15 inner-label">
                    <div class="inp-txt">
                        <label for="" class="inp-label">내통장표시</label>
                        <div class="inp">
                            <input type="text" name="out_msg" id="out_msg" placeholder="">
                            <button type="button" class="btn-delete">삭제</button>
                        </div>
                    </div>
                </div>

                <!-- s:inp-txt-wrap -->
                <div class="inp-txt-wrap mt15 inner-label">
                    <div class="inp-txt">
                        <label for="" class="inp-label">받는분 표시</label>
                        <div class="inp">
                            <input type="text" name="in_msg" id="in_msg" placeholder="">
                            <button type="button" class="btn-delete">삭제</button>
                        </div>
                    </div>
                </div>

                <!-- s:inp-txt-wrap -->
                <div class="inp-txt-wrap mt15 inner-label">
                    <div class="inp-txt">
                        <label for="" class="inp-label">CMS 코드</label>
                        <div class="inp">
                            <input type="text" name="" id="" placeholder="보험회사, 기업 등 특별한 경우">
                            <button type="button" class="btn-delete">삭제</button>
                        </div>
                    </div>
                </div>

                <!-- s:inp-txt-wrap -->
                <div class="inp-txt-wrap mt15 inner-label">
                    <div class="inp-txt">
                        <label for="" class="inp-label">메모</label>
                        <div class="inp">
                            <input type="text" name="" id="" placeholder="예) 경조사, 학원비, 용돈 등">
                            <button type="button" class="btn-delete">삭제</button>
                        </div>
                    </div>
                </div>

            </div>
            
        </div>
        <!-- //e:trf-form -->

        <!-- s:btns-fixed-bottom (기본이체의 경우)-->
        <div class="btns-fixed-bottom">
            <button type="button" class="btn btn-next" id="trfBtnNext" disabled="disabled">다음</button>
        </div>

        <!-- s:btns-fixed-bottom (추가이체의 경우)-->
        <div class="btns-fixed-bottom hidden">
            <button type="button" class="btn bg-818181">추가이체취소</button>
            <button type="button" class="flex-2 btn btn-next" disabled="disabled">다음</button>
        </div>
    </div>

    <!-- s:popup-wrap (계좌선택 팝업) -->
    <div class="popup-wrap" id="TRFmyAccList">
        <!-- s:popup-top -->
        <div class="popup-top">
            <h2 class="tit">계좌선택</h2>
            <button type="button" class="btn-close" onclick="closePopup('TRFmyAccList')">팝업닫기</button>
        </div>
        
        <!-- s:popup-con -->
        <div class="popup-con">
            <div>
                <ul class="list-type1">
                    <%
                    /*
                    DFRY_ACNT_YN // 출금가능계좌
                    BNK_PDT_NNM_CNTN // 계좌명
                    PSTLY_BAMT_AMT_FMT // 현재잔액
                    ACNO_FMT : 출금계좌번호
                    DFRY_PSBL_BAMT_FMT : 출금가능금액
                    */
                    data['transfer_ok_account'].forEach(function(item, index){
                        if(item.DFRY_ACNT_YN != 1) return true;

                        var li_class="";
                        if(item.ACNO == data.account_no2) li_class="active";
                    %>
                    <li class="<%=li_class%>">
                        <a href="#" onclick="closePopup('TRFmyAccList'); return false;">
                            <p><%=item.BNK_PDT_NNM_CNTN%></p>
                            <p><strong><%=item.ACNO_FMT%></strong></p>
                            <p class="ta-r none-color">출금가능금액 <span><%=item.DFRY_PSBL_BAMT_FMT%></span>원</p>
                        </a>
                    </li>
                    <%
                    })
                    %>
                </ul>
            </div>
        </div>
    </div>
    <!-- //e:popup-wrap -->

    <!-- s:popup-wrap (은행/증권사 선택 팝업) -->
    <div class="popup-wrap" id="TRFAccList">
        <!-- s:popup-con -->
        <!-- s:tab-wrap -->
        <ul class="tab-wrap border" data-tab="tab01">
            <li class="active"><button type="button">최근/자주</button></li>
            <li><button type="button">계좌번호</button></li>
            <li><button type="button">내계좌</button></li>
        </ul>
        <!-- s:tab-con-wrap -->
        <div class="popup-con">
            <div>
                <div class="tab-con-wrap" data-tab="tab01">
                    <!-- s:tab-con (최근/자주 내용) -->
                    <div class="tab-con active">
                        <!-- s:tab-wrap .round -->
                        <ul class="tab-wrap round" data-tab="tab02">
                            <li class="active"><button type="button">최근사용계좌</button></li>
                            <li><button type="button">자주쓰는계좌</button></li>
                        </ul>
                        <!-- s:tab-con-wrap -->
                        <div class="tab-con-wrap" data-tab="tab02">
                            <!-- s:tab-con (최근사용계좌 내용) -->
                            <div class="tab-con common-inner active" id="rct_use_div">
                            </div>
                            <!-- s:tab-con (자주쓰는계좌 내용) -->
                            <div class="tab-con common-inner" id="ftn_use_div">
                            </div>
                        </div>
                        <!-- //e:tab-con-wrap -->
                    </div>
                    <!-- //e:tab-con -->

                    <!-- s:tab-con (계좌번호 내용) -->
                    <div class="tab-con">
                        <!-- s:tab-wrap .round -->
                        <ul class="tab-wrap round" data-tab="tab03">
                            <li class="active"><button type="button">은행</button></li>
                            <li><button type="button">증권사</button></li>
                        </ul>
                        <!-- s:tab-con-wrap -->
                        <div class="tab-con-wrap" data-tab="tab03">
                            <!-- s:tab-con (은행 내용) -->
                            <div class="tab-con active">
                                <ul class="list-thumb mt25">
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank1.png" alt="부산은행"></p>
                                            <p>부산은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank2.png" alt="경남은행"></p>
                                            <p>경남은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank3.png" alt="광주은행"></p>
                                            <p>광주은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank4.png" alt="국민은행"></p>
                                            <p>국민은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank5.png" alt="기업은행"></p>
                                            <p>기업은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank6.png" alt="농협은행"></p>
                                            <p>농협은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank7.png" alt="단위농협"></p>
                                            <p>단위농협</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank8.png" alt="대구은행"></p>
                                            <p>대구은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank9.png" alt="도이치은행"></p>
                                            <p>도이치은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank10.png" alt="뱅크오브아메리카"></p>
                                            <p>뱅크오브아메리카</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank11.png" alt="비엔피파리바은행"></p>
                                            <p>비엔피파리바은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank12.png" alt="산림조합중앙회"></p>
                                            <p>산림조합중앙회</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank13.png" alt="산업은행"></p>
                                            <p>산업은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank14.png" alt="새마을"></p>
                                            <p>새마을</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank15.png" alt="수협은행"></p>
                                            <p>수협은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank16.png" alt="신한은행"></p>
                                            <p>신한은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank17.png" alt="신협"></p>
                                            <p>신협</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank18.png" alt="우리은행"></p>
                                            <p>우리은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank19.png" alt="우체국"></p>
                                            <p>우체국</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank20.png" alt="전북은행"></p>
                                            <p>전북은행</p>
                                        </button>
                                    </li>
                                    <li></li>
                                </ul>
                            </div>
                            <!-- s:tab-con (증권사 내용) -->
                            <div class="tab-con">
                                <ul class="list-thumb mt25">
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank1.png" alt="부산은행"></p>
                                            <p>부산은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank2.png" alt="경남은행"></p>
                                            <p>경남은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank3.png" alt="광주은행"></p>
                                            <p>광주은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank4.png" alt="국민은행"></p>
                                            <p>국민은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank5.png" alt="기업은행"></p>
                                            <p>기업은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank6.png" alt="농협은행"></p>
                                            <p>농협은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank7.png" alt="단위농협"></p>
                                            <p>단위농협</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank8.png" alt="대구은행"></p>
                                            <p>대구은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank9.png" alt="도이치은행"></p>
                                            <p>도이치은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank10.png" alt="뱅크오브아메리카">
                                            </p>
                                            <p>뱅크오브아메리카</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank11.png" alt="비엔피파리바은행">
                                            </p>
                                            <p>비엔피파리바은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank12.png" alt="산림조합중앙회">
                                            </p>
                                            <p>산림조합중앙회</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank13.png" alt="산업은행"></p>
                                            <p>산업은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank14.png" alt="새마을"></p>
                                            <p>새마을</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank15.png" alt="수협은행"></p>
                                            <p>수협은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank16.png" alt="신한은행"></p>
                                            <p>신한은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank17.png" alt="신협"></p>
                                            <p>신협</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank18.png" alt="우리은행"></p>
                                            <p>우리은행</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank19.png" alt="우체국"></p>
                                            <p>우체국</p>
                                        </button>
                                    </li>
                                    <li>
                                        <button type="button">
                                            <p class="thumb"><img src="../img/img_logo_bank20.png" alt="전북은행"></p>
                                            <p>전북은행</p>
                                        </button>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <!-- //e:tab-con-wrap -->
                    </div>
                    <!-- //e:tab-con -->

                    <!-- s:tab-con (내계좌 내용) -->
                    <div class="tab-con">
                        <ul class="list-type1 common-inner">
                            <li class="active">
                                <a href="#">
                                    <p>자유저축</p>
                                    <p><strong>112-2102-6461-00</strong></p>
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    <p>BNK어울림적금</p>
                                    <p><strong>104-2154-0318-08</strong></p>
                                </a>
                            </li>
                            <li>
                                <a href="#">
                                    <p>BNK e-스마트정기예금</p>
                                    <p><strong>105-2958-2678-00</strong></p>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <!-- //e:tab-con -->
                </div>
            </div>
        </div>
    </div>
    <!-- //e:popup-wrap -->


	<!-- s:popup-wrap (이체정보확인 팝업) -->
	<div class="popup-wrap" id="TRFinfo">
        <!-- s:popup-con -->
        <div class="popup-con w-fixed-bottom">
            <div>
               <div class="trf-final success">
                   <p class="tit">
                       <span class='in_user_nm'></span>님에게<br>
                       <strong class="color-point in_money2"></strong>원 이체하시겠습니까?
                   </p>
                   <hr>
                   <!-- s:scroll-wrap -->
                   <div class="scroll-wrap">
                       <!-- s:trf-info -->
                       <div class="trf-info">
                           <table class="tb-type1">
                               <caption>이체확인 정보 - 출금계좌, 받는 분, 받는 계좌, 보내는 금액, 수수료, 내통장 표시, 받는분 표시로 구성</caption>
                               <tbody>
                                   <tr>
                                       <th scope="row">출금계좌</th>
                                       <td class='out_account_no2'></td>
                                   </tr>
                                   <tr>
                                       <th scope="row">받는 분</th>
                                       <td class='in_user_nm'></td>
                                   </tr>
                                   <tr>
                                       <th scope="row">받는 계좌</th>
                                       <td class='in_account_info'></td>
                                   </tr>
                                   <tr>
                                       <th scope="row">보내는 금액</th>
                                       <td class="color-point"><span class="in_money2"></span>원</td>
                                   </tr>
                                   <tr>
                                       <th scope="row">수수료</th>
                                       <td><span class="in_fee"></span>원</td>
                                   </tr>
                                   <tr>
                                       <th scope="row">내통장 표시</th>
                                       <td class='out_account_memo'></td>
                                   </tr>
                                   <tr>
                                       <th scope="row">받는분 표시</th>
                                       <td class='in_account_memo'></td>
                                   </tr>
                               </tbody>
                           </table>
                       </div>
                   </div>
                   <button type="button" class="btn-line">+ 추가이체</button>
               </div>
            </div>
        </div>
        <!-- s:btns-fixed-bottom -->
        <div class="btns-fixed-bottom">
            <button type="button" class="btn bg-818181" onclick="closePopup('TRFinfo');">취소</button>
            <button type="button" class="btn flex-2" id="insertPW_open" onclick="closePopup('TRFinfo');">다음</button>
        </div>
   </div>
   <!-- //e:popup-wrap -->

   <!-- s:popup-wrap (비밀번호 입력 팝업) -->
   <div class="popup-wrap full" id="insertPW">
       <!-- s:popup-top -->
       <div class="popup-top">
           <h2 class="tit">계좌비밀번호</h2>
           <button type="button" class="btn-close" onclick="closePopup('insertPW')">팝업닫기</button>
       </div>
       <!-- s:popup-con -->
       <div class="popup-con">
           <p class="tit">계좌비밀번호 입력</p>
           <!-- s:inp-txt-wrap -->
           <div class="inp-txt-wrap active focus">
               <div class="inp-txt">
                   <label for="" class="inp-label">계좌비밀번호</label>
                   <div class="inp">
                       <input type="password" name="" id="" maxlength="4" readonly>
                   </div>
               </div>
           </div>

           <!-- s:keypad-wrap -->
           <div class="keypad-wrap active">
               <div class="keypad">
                   <div>
                       <button type="button"><span style="background-position: 5px -5px;"><img src="../img/img_keypad_empty.png" alt="1"></span></button>
                       <button type="button" disabled><span style="background-position: -235px -48px;"><img src="../img/img_keypad_empty.png" alt="빈칸"></span></button>
                       <button type="button"><span style="background-position: -155px -5px;"><img src="../img/img_keypad_empty.png" alt="3"></span></button>
                       <button type="button"><span style="background-position: -155px -107px;"><img src="../img/img_keypad_empty.png" alt="9"></span></button>
                   </div>
                   <div>
                       <button type="button"><span style="background-position: -235px -5px;"><img src="../img/img_keypad_empty.png" alt="4"></span></button>
                       <button type="button"><span style="background-position: -75px -5px;"><img src="../img/img_keypad_empty.png" alt="2"></span></button>
                       <button type="button"><span style="background-position: -75px -56px;"><img src="../img/img_keypad_empty.png" alt="6"></span></button>
                       <button type="button"><span style="background-position: -75px -106px;"><img src="../img/img_keypad_empty.png" alt="8"></span></button>
                   </div>
                   <div>
                       <button type="button"><span style="background-position: -235px -107px;"><img src="../img/img_keypad_empty.png" alt="0"></span></button>
                       <button type="button"><span style="background-position: -155px -56px;"><img src="../img/img_keypad_empty.png" alt="7"></span></button>
                       <button type="button" disabled><span style="background-position: 7px -100px;"><img src="../img/img_keypad_empty.png" alt="빈칸"></span></button>
                       <button type="button"><span style="background-position: 5px -55px;"><img src="../img/img_keypad_empty.png" alt="5"></span></button>
                   </div>
                   <div>
                       <button type="button"><span style="background-position: 21px -152px;"><img src="../img/img_keypad_empty.png" alt="삭제"></span></button>
                       <button type="button" id="insertPW_close"><span style="flex: 1.5;background-position: -57px -152px;"><img src="../img/img_keypad_empty.png" alt="취소"></span></button>
                       <button type="button"><span style="flex: 1.5;background-position: -177px -152px;"><img src="../img/img_keypad_empty.png" alt="완료"></span></button>
                   </div>
               </div>
           </div>
       </div>
   </div>
   <!-- //e:popup-wrap -->
    <!--s: footer : include-->
    <footer>
        <a href="#contents" class="btn-pagetop">Top</a>
        <div class="footer-bar hidden"> <!-- 숨겨야 할 경우 hidden 클래스 사용 -->
            <ul>
                <li class="btn_fb_1 active"><button type="button">뱅킹</button></li>
                <li class="btn_fb_2"><button type="button">상품몰</button></li>
                <li class="btn_fb_3"><button type="button">웰스타로보B</button></li>
                <li class="btn_fb_4"><button type="button">썸패스</button></li>
                <li class="btn_fb_5"><button type="button">썸뱅크</button></li>
            </ul>
        </div>
    </footer>
    <!--//e: footer -->

    <script>
    $(document).ready(function(){

        //전역변수 사용
        var confirm_data = null;

        // 추가이체 총 건수 버튼 클릭
        $('.trf-add-form .ico-select').on('click', function () {
            $('.trf-add-card').toggleClass('hidden');
        });
        // 예약이체 및 추가이체 버튼 클릭
        $('.btn-add-trf').on('click',function(){
            $(this).toggleClass('active');
            $('.add-info').toggleClass('hidden');
        });
        // 보내는 금액이 있을 경우 하단버튼 활성화
        $('#SendMoney').on('propertychange change keyup paste input',function(){
            if( $(this).prop('value') != "" ){
                $('#trfBtnNext').prop('disabled',false);
            }else{
                $('#trfBtnNext').prop('disabled',true);
            }
        });

        $(document).on("click", "#insertPW_close",function(){
            closePopup('insertPW');
        });
        
        $(document).on('click', '#insertPW_open', function(){
            
            if(confirm_data.my_account_yn=='0')
            {
                openPopup('insertPW');
            }
            else
            {
                get_transfer_info(3);
            }
        });

        // 다음버튼 클릭
        var _trfNextState = 1;
        $('#trfBtnNext').on('click',function(){
            switch(_trfNextState){
                case 1: 
                    get_transfer_info(_trfNextState);
                    $('.next-step').removeClass('hidden').addClass('active');
                    _trfNextState = 2;
                    break;
                case 2: //예약확인 정보 팝업
                    get_transfer_info(_trfNextState);
                    
                    break;
                defaul:
                    return false;
                    break;
            }
            
        });

        function get_transfer_info(step)
        {
            var url = data = "";
            if(step == 1) {
                url = "/bnk/transfer_ajax";
                data = "";
            }
            else if(step == 2){
                url = "/bnk/transfer_ajax2";
                data = {
                    in_money:$("#SendMoney").val().replace(/\,/g, ''),
                    in_account_no:$("#in_account_no").val(),
                    in_bank_cd:$("#in_bank_cd").val(),
                    out_msg:$("#out_msg").val(),
                    in_msg:$("#in_msg").val(),
                    out_account_no:$("#out_account_no").val()
                };
            } 
            else if(step == 3)
            {
                url = "/bnk/transfer_ajax3";

                data = confirm_data;
            }

            console.log(confirm_data);

            openLoading();
            $.ajax({
                url : url,
                type: "get",
                cache: false,
                dataType: "json",
                data: data,
                success: function(data){
                    if(step==1)
                    {
                        $("#rct_use_div").html(data.rct_use_div);
                        $("#ftn_use_div").html(data.ftn_use_div);
                        
                        openPopup('TRFAccList');
                    }
                    else if(step==2)
                    {
                        confirm_data = data;

                        $(".out_account_no2").html(data.out_account_no);
                        $(".in_account_info").html(data.in_bank_nm+"<br/>"+data.in_account_no);
                        $(".in_money2").html(data.in_money2);
                        $(".in_fee").html(data.in_fee);
                        $(".in_user_nm").html(data.in_user_nm);
                        $(".out_account_memo").html(data.out_account_memo);
                        $(".in_account_memo").html(data.in_account_memo);
                                    
                        openPopup('TRFinfo');   
                    }
                    else if(step==3)
                    {
                        

                    }
                    closeLoading();
                },
                error: function (request, status, error){
                    console.log(request);
                    alert("error : "+error);
                }
            });
        }
        

        $(document).on('click', '.bank_info', function(){
            var in_account_no = $(this).attr('in_account_no');
            var in_bank_cd = $(this).attr('in_bank_cd');

            $("#in_account_no").val(in_account_no);
            $("#in_bank_cd").val(in_bank_cd);
        });

        // 은행/증권사 선택 팝업 내 계좌 클릭
        $(document).on('click', '#TRFAccList .list-type1 li a', function(){
            var trfAccName = $(this).find('p').first().text();
            var trfAccNum = $(this).find('strong').text();

            var arr_trfAccNum = trfAccNum.split(' ');
            
            $('#trfBank').text(arr_trfAccNum[0]);
            $('#trfAcc').prop('value',arr_trfAccNum[1])

            $(this).parent().parent().find('li').removeClass('active');
            $(this).parent().addClass('active');

            closePopup('TRFAccList');
        });

        // 은행/증권사 선택
        $(document).on('click', '#trfBank', function(){
            get_transfer_info(1);
        });


        $('#calToday').text($('#reserveDate').val());
        $('.time-wrap button').on('click',function(){
            closePopup('reserveTime');
            if(!$('.add-info .time').hasClass('active')) $('.add-info .time').addClass('active');
            $('#reserveDate').next('.time').val($(this).text());
        })
        $('.btn-cancel').on('click',function(){
            $('#reserveDate').prop('value','');
            $('.time').prop('value','').removeClass('active');
        });
    });

    </script>

</body>

</html>
